package com.yunzhi.marketing.xlk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.marketing.base.ResponseBean;
import com.yunzhi.marketing.entity.TaPersonBuilding;
import com.yunzhi.marketing.xlk.entity.SceneLog;

import java.util.List;

/**
 * <p>
 * 业务日志记录表  服务类
 * </p>
 *
 * @author jobob
 * @since 2021-10-08
 */
public interface ISceneLogService extends IService<SceneLog> {

    void saveLogs(Integer userId, String type, String uuid);

    ResponseBean getBuildingLogs(Integer pageNum, Integer pageSize, String buildingId, List<TaPersonBuilding> taPersonBuildingListByUserId, List<String> institutionIds);
}
