package com.yunzhi.marketing.broker.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.marketing.broker.entity.BkAgentRule;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 佣金规则 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-07-26
 */
@Mapper
public interface BkAgentRuleMapper extends BaseMapper<BkAgentRule> {

    BkAgentRule getByOrgId(@Param("orgId") Integer orgId,
                           @Param("status") Integer status);

    BkAgentRule getByCity(@Param("cityId") Integer cityId);
}
