package com.yunzhi.marketing.broker.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.marketing.broker.entity.BkInviteRecord;
import com.yunzhi.marketing.broker.mapper.BkInviteRecordMapper;
import com.yunzhi.marketing.broker.service.IBkInviteRecordService;
import com.yunzhi.marketing.common.StringUtils;
import com.yunzhi.marketing.entity.TaPerson;
import com.yunzhi.marketing.mapper.TaPersonMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class BkInviteRecordServiceImpl extends ServiceImpl<BkInviteRecordMapper, BkInviteRecord> implements IBkInviteRecordService {
    @Autowired
    TaPersonMapper taPersonMapper;

    @Override
    public void createBy(String personId, String invitePersonId) {
        // 先查询是否已经有记录了
        BkInviteRecord bkInviteRecord = baseMapper.getByPerson(personId, invitePersonId);
        if (null != bkInviteRecord) return;

        baseMapper.createBy(personId, invitePersonId);
    }
}
